This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258020 - Cannot drill down into subprocess from instance view in BPM Suite 6.1.2
Cannot drill down into subprocess from instance view in BPM Suite 6.1.2
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity high
: ER5
: 6.2.0
Assigned To: Tihomir Surdilovic
Lukáš Petrovický
:
Depends On: 1277473
Blocks: 1258022
  Show dependency treegraph
 
Reported: 2015-08-28 12:33 EDT by Amana
Modified: 2016-04-28 01:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1258022 (view as bug list)
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4446 Major Open Cannot drill down into subprocess from instance view 2016-05-24 07:37 EDT

  None (edit)
Description Amana 2015-08-28 12:33:35 EDT
Description of problem:

Consider a parent process that calls a reusable child process. When you view the parent instance in the Process Management -> Process Instances screen, you can see that the parent calls the child process. There is a small plus sign on the child process. It looks like clicking on the plus sign will allow you to see the child process. However, I get an error message on the screen that says "Unable to find called process."

See the forum reference link for a screenshot:
https://developer.jboss.org/thread/248400


Version-Release number of selected component (if applicable):
BPM Suite 6.1.2

How reproducible:
Always

Steps to Reproduce:
1.  Create a new project in the JBPM workbench
2.  Create a new business process that will be the child process
3.  Create a new business process that will be the parent process
4.  In the parent process, add:
        a user task step that will make the process halt at that step
        a reusable subprocess that calls the child process
5.  Build and deploy the project
6.  Run the parent process (it should halt at the first step)
7.  Go to the Process Management -> Process Instances screen
8.  Select the instance of the parent and click View -> Process Model
9.  Click the plus sign on the child process task (you should see the error message pop up in the window)


Actual results:


Expected results:


Additional info:
Comment 1 Amana 2015-08-28 12:35:33 EDT
I am opening this BZ as it is still happening in BPM Suite 6.1.2 and according to the jira is not clear what BPM Suite version will include the fix.
Comment 3 Kris Verlaenen 2015-09-07 10:25:13 EDT
The plus sign is used to jump to the called process definition in the authoring perspective.  It might be good to either disable this in the runtime view, or to implement additional functionality that could jump to the actual sub-process instance.
Comment 5 Tihomir Surdilovic 2015-09-29 18:31:43 EDT
Disabled the onclick for called element in read-only mode (process instance view). Since this functionality requires changes in both workbench and designer please raise a new feature BZ so it can be collaborated.

master:https://github.com/droolsjbpm/jbpm-designer/commit/3c90fa76dc6e193bdf5e3315296e94c16bc65d90

6.3.x:https://github.com/droolsjbpm/jbpm-designer/commit/de122ef5b9f8f8daed02a1787a6b941118c129e5

6.2.x:https://github.com/droolsjbpm/jbpm-designer/commit/6c0c177dfebe09abd6ce63e359f6f47e2bd14fa4
Comment 6 jvahala 2015-10-23 08:36:47 EDT
I am not able to reproduce this issue, since new issue is present all the time. 

at step 8. Process model window is opened and designer is loading but never starts. There is printed error in log:

14:27:47,677 ERROR [stderr] (http-/127.0.0.1:8080-2) context [anonymous] 6597:12 attribute includedo isn't defined

Isn't it possible that fix broke something else? It seems that there was same issue many time in history: 
https://developer.jboss.org/thread/238296?start=0&tstart=0 

returning back to Assigned
Comment 7 Tihomir Surdilovic 2015-10-23 11:18:18 EDT
Testing of this BZ was blocked by BZ 1272196 which is fixed now so please retest.
Comment 8 jvahala 2015-11-04 03:54:12 EST
Process instance list doesn't work properly, can't be verified until 1277473 is resolved.
Comment 9 jvahala 2015-11-20 10:36:40 EST
Plus sign doesn't throw any errors anymore. (it's not clickable as Tihomir said). Moving to verified.

Note You need to log in before you can comment on or make changes to this bug.